Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fonts
Interface MutableFont

All Known Implementing Classes:
  CIDFont, CustomFont, MultiByteFont, SingleByteFont

    public interface MutableFont

This interface is used to set the values of a font during configuration time.

Method Summary
`void` | `putKerningEntry(java.lang.Integer key, java.util.Map<java.lang.Integer,java.lang.Integer> value)` Adds an entry to the kerning table.
`void` | `setAdvancedEnabled(boolean enabled)` Enables/disabled advanced typographic features.
`void` | `setAscender(int ascender)` Sets the ascent value.
`void` | `setCapHeight(int capHeight)` Sets the capital height value.
`void` | `setDescender(int descender)` Sets the descent value.
`void` | `setEmbeddingMode(EmbeddingMode embeddingMode)` Sets the embedding mode.
`void` | `setEmbedResourceName(java.lang.String name)` Sets the resource name of the embeddable font file.
`void` | `setEmbedURI(java.net.URI path)` Sets the URI to the embeddable font.
`void` | `setFamilyNames(java.util.Set<java.lang.String> names)` Sets the font's family names (Example: "Helvetica").
`void` | `setFirstChar(int index)` Sets the index of the first character in the character table.
`void` | `setFlags(int flags)` Sets the font's flags
`void` | `setFontBBox(int[] bbox)` Sets the font's bounding box
`void` | `setFontName(java.lang.String name)` Sets the "PostScript" font name (Example: "Helvetica-BoldOblique").
`void` | `setFontType(FontType fontType)` Sets the font type.
`void` | `setFontURI(java.net.URI uri)` Sets the URI from which this font is or will be loaded.
`void` | `setFullName(java.lang.String name)` Sets the font's full name (usually the one that the operating system displays).
`void` | `setItalicAngle(int italicAngle)` Sets the font's italic angle.
`void` | `setKerningEnabled(boolean enabled)` Enables/disabled kerning.
`void` | `setLastChar(int index)` Sets the index of the last character in the character table.
`void` | `setMissingWidth(int width)` Sets the font's default width
`void` | `setStemV(int stemV)` Sets the font's StemV value.

Method Detail

### setFontURI

    void setFontURI(java.net.URI uri)

  Sets the URI from which this font is or will be loaded.

  Parameters:
    `uri` - URI from which font is or will be loaded

### setFontName

    void setFontName(java.lang.String name)

  Sets the "PostScript" font name (Example: "Helvetica-BoldOblique").

  Parameters:
    `name` - font name

### setFullName

    void setFullName(java.lang.String name)

  Sets the font's full name (usually the one that the operating system displays). Example: "Helvetica Bold Oblique".

  Parameters:
    `name` - font' full name

### setFamilyNames

    void setFamilyNames(java.util.Set<java.lang.String> names)

  Sets the font's family names (Example: "Helvetica").

  Parameters:
    `names` - the font's family names (a Set of Strings)

### setEmbedURI

    void setEmbedURI(java.net.URI path)

  Sets the URI to the embeddable font.

  Parameters:
    `path` - URI to the font

### setEmbedResourceName

    void setEmbedResourceName(java.lang.String name)

  Sets the resource name of the embeddable font file.

  Parameters:
    `name` - resource name

### setEmbeddingMode

    void setEmbeddingMode(EmbeddingMode embeddingMode)

  Sets the embedding mode.

  Parameters:
    `embeddingMode` - the embedding mode

### setCapHeight

    void setCapHeight(int capHeight)

  Sets the capital height value.

  Parameters:
    `capHeight` - capital height

### setAscender

    void setAscender(int ascender)

  Sets the ascent value.

  Parameters:
    `ascender` - ascent height

### setDescender

    void setDescender(int descender)

  Sets the descent value.

  Parameters:
    `descender` - descent value

### setFontBBox

    void setFontBBox(int[] bbox)

  Sets the font's bounding box

  Parameters:
    `bbox` - bounding box

### setFlags

    void setFlags(int flags)

  Sets the font's flags

  Parameters:
    `flags` - flags

### setStemV

    void setStemV(int stemV)

  Sets the font's StemV value.

  Parameters:
    `stemV` - StemV

### setItalicAngle

    void setItalicAngle(int italicAngle)

  Sets the font's italic angle.

  Parameters:
    `italicAngle` - italic angle

### setMissingWidth

    void setMissingWidth(int width)

  Sets the font's default width

  Parameters:
    `width` - default width

### setFontType

    void setFontType(FontType fontType)

  Sets the font type.

  Parameters:
    `fontType` - font type

### setFirstChar

    void setFirstChar(int index)

  Sets the index of the first character in the character table.

  Parameters:
    `index` - index of first character

### setLastChar

    void setLastChar(int index)

  Sets the index of the last character in the character table.

  Parameters:
    `index` - index of the last character

### setKerningEnabled

    void setKerningEnabled(boolean enabled)

  Enables/disabled kerning.

  Parameters:
    `enabled` - True if kerning should be enabled if available

### setAdvancedEnabled

    void setAdvancedEnabled(boolean enabled)

  Enables/disabled advanced typographic features.

  Parameters:
    `enabled` - true if advanced typographic features should be enabled if available

### putKerningEntry

    void putKerningEntry(java.lang.Integer key,
                         java.util.Map<java.lang.Integer,java.lang.Integer> value)

  Adds an entry to the kerning table.

  Parameters:
    `key` - Kerning key
    `value` - Kerning value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.